Your unread chat total in a community
GET /api/member/communities/{communityId}/chats/unread. Your unread chat total in a community. Headless LMS Chats API reference.
Any active member of the organization. For a member of the community. unread counts the unread messages in your chats that are neither muted nor requests to you, plus your pending requests; requests is the number of pending requests to you.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/communities/string/chats/unread"{ "unread": 0, "requests": 0}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Stream your chat events in a community GET
GET /api/member/communities/{communityId}/chats/events. Stream your chat events in a community. Headless LMS Chats API reference.
Your direct chat with a person GET
GET /api/member/communities/{communityId}/chats/direct/{orgUserId}. Your direct chat with a person. Headless LMS Chats API reference.